/* ----------- FONTS ----------- */

p, a, input, input::placeholder, button, span, ul, li, ol, textarea, textarea::placeholder {
    font-family: "basic-sans", sans-serif;
    font-weight: 200;
    font-style: normal;
}

.boldText {
    font-family: "basic-sans", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.plainHeading {
    font-family: "basic-sans", sans-serif;
    font-weight: 200;
    font-style: normal;
}

h1, h2, h3, h4, h5, h6 {
    font-family: "museo", serif;
    font-weight: 300;
    font-style: normal;
}

/* ----------- COLORS ----------- */

.yellowColor {
    color: #ecb417;
}

.yellowBackground {
    background-color: #ecb417;
}

.greenColor {
    color: #0e6f2f;
}

.greenBackground {
    background-color: #0e6f2f;
}

.blueColor {
    color: #485e88;
}

.blueBackground {
    background-color: #485e88;
}

.grayColor {
    color: #3a3a3a;
}

.grayBackground {
    background-color: #3a3a3a;
}

/* ----------- BACKGROUNDS ----------- */

.heroBackground {
    position: relative;
    background-image: url("https://centrumrehabilitacji.sosnowiec.pl/wp-content/uploads/2024/02/hero-rehabilitacja.webp");
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    transition: background-size 0.5s ease;
}

.ctaBackground {
    position: relative;
    background-image: url("https://centrumrehabilitacji.sosnowiec.pl/wp-content/uploads/2023/12/ems-1.webp");
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    transition: background-size 0.5s ease;
}

/* ----------- BUTTONS ----------- */

.firstButton {
    color: #ffffff;
    background-color: #485e88 !important;
    border: 1px solid #485e88;
    border-radius: 25px;
    padding: 5px 25px;
    transition: 0.3s ease-in;
}

.firstButton:hover {
    color: #485e88;
    background-color: #ffffff !important;
    transition: 0.3s ease-in;
}

.secondButton {
    color: #485e88;
    background-color: #ffffff !important;
    border: 1px solid #485e88;
    border-radius: 25px;
    padding: 5px 25px;
    transition: 0.3s ease-in;
}

.secondButton:hover {
    color: #ffffff;
    background-color: #485e88 !important;
    transition: 0.3s ease-in;
}

.firstButtonWhite {
    color: #485e88;
    background-color: #ffffff;
    border: 1px solid #ffffff;
    border-radius: 25px;
    padding: 5px 25px;
    transition: 0.3s ease-in;
}

.firstButtonWhite:hover {
    color: #ffffff;
    background-color: transparent;
    transition: 0.3s ease-in;
}

.secondButtonWhite {
    color: #ffffff;
    background-color: transparent;
    border: 1px solid #ffffff;
    border-radius: 25px;
    padding: 5px 25px;
    transition: 0.3s ease-in;
}

.secondButtonWhite:hover {
    color: #485e88;
    background-color: #ffffff;
    transition: 0.3s ease-in;
}

/* ----------- LINKS ----------- */

.headerLink {
    color: #ffffff;
    font-weight: 500;
    transition: color 0.3s ease-in-out, font-weight 0.3s ease-in-out;
}

.headerLink:hover {
    color: #bcbcbc;
}

.headerLinkBlack {
    color: #3a3a3a;
    font-weight: 500;
    transition: 0.3s ease-in;
}

.headerLinkBlack:hover {
    color: #485e88;
}

